/* Headers for as6809.c */
extern char *(indexgen[][4 ]);
extern int yyparse(void);
extern int lexintercept(void);
extern void setreserved(void);
extern int cpumatch(char *str);
/* End of headers for as6809.c */
/* Headers for frasmain.c */
extern int main(int argc, char **argv);
extern void frafatal(char *str);
extern void frawarn(char *str);
extern void fraerror(char *str);
extern void fracherror(char *str, char *start, char *beyond);
extern void prtequvalue(char *fstr, long lv);
extern void printsymbols(void);
extern void filesymbols(void);
/* End of headers for frasmain.c */
/* Headers for fraosub.c */
extern void outphase(void);
extern void outeval(void);
extern void flushlisthex(void);
extern void listhex(void);
extern void listouthex(void);
extern void outhexblock(void);
extern void flushhex(void);
extern void intelout(int type, long addr, int count, char data[]);
extern void frp2undef(struct symel *symp);
extern void frp2warn(char *str);
extern void frp2error(char *str);
extern void flushsourceline(void);
/* End of headers for fraosub.c */
/* Headers for fryylex.c */
extern int frareadrec(void);
extern int yylex(void);
extern void yyerror(char *str);
/* End of headers for fryylex.c */
/* Headers for frapsub.c */
extern char *savestring(char *stx, int len);
extern void clrexpr(void);
extern int exprnode(int swact, int left, int op, int right, long value, struct symel *symbol);
extern struct symel *allocsym(void);
extern int syhash(register char *str);
extern struct symel *symbentry(char *str, int toktyp);
extern void reservedsym(char *str, int tok, int value);
extern void buildsymbolindex(void);
extern void setophash(void);
extern int findop(char *str);
extern int opcodehash(char *str);
extern char *findgen(int op, int syntax, int crit);
extern void genlocrec(int seg, long loc);
extern void goutch(char ch);
extern void gout2hex(int inv);
extern void goutxnum(unsigned long num);
extern int geninstr(register char *str);
extern int chtcreate(void);
extern int chtcfind(int *chtab, char **sourcepnt, int **tabpnt, int *numret);
extern int chtran(char **sourceptr);
extern int genstring(char *str);
extern void pevalexpr(int sub, int exn);
extern void polout(char ch);
extern void polnumout(unsigned long inv);
extern int pepolcon(int esub);
/* End of headers for frapsub.c */
